<div class="nnr-wrap">

	<?php require_once('header.php'); ?>

	<div class="nnr-container">

		<form method="POST" name="gForm" id="gForm" class="form-horizontal" role="form">

			<h1 id="nnr-heading"><?php echo (isset($_GET["ad_id"]) && $_GET["ad_id"]) ? __("Edit Ad", self::$text_domain) : __("Create Ad", self::$text_domain); ?>
				<small>
					<input type="submit" value="<?php echo (isset($_GET["ad_id"]) && $_GET["ad_id"]) ? __("Update", self::$text_domain) : __("Save", self::$text_domain); ?>" class="btn btn-info nnr-heading-button-right" id="submit" name="submit"/>
				</small>
			</h1>

			<!-- Nav tabs -->
			<ul class="nav nav-tabs" role="tablist">
				<li role="presentation" class="active"><a href="#<?php echo self::$prefix;?>ad-setup" role="tab" data-toggle="tab"><?php _e('Ad Setup', self::$text_domain); ?></a></li>
				<li role="presentation"><a href="#<?php echo self::$prefix;?>display" role="tab" data-toggle="tab"><?php _e('Display Settings', self::$text_domain); ?></a></li>
			</ul><!-- nav nav-tabs -->
			<br/>

			<!-- Tab panes -->
			<div class="tab-content">

				<div role="tabpanel" class="tab-pane active" id="<?php echo self::$prefix;?>ad-setup">

					<div class="panel panel-danger">
						<div class="panel-heading">
							<h1 class="panel-title"><?php _e('Required', self::$text_domain)?></h1>
						</div>
						<div class="panel-body">

							<!-- Ad Name -->

							<div class="form-group <?php if (!isset($edit_data["basic_val"]["ad_name"])) echo 'has-error has-feedback'; ?>">
								<label for="ad_name" class="col-sm-3 control-label"><?php _e('Ad Name', self::$text_domain)?></label>
								<div class="col-sm-9">
									<input type="text" class="form-control" value="<?php echo isset($edit_data["basic_val"]["ad_name"]) ? esc_attr($edit_data["basic_val"]["ad_name"]) : ''; ?>" id="ad_name" name="ad_name" placeholder="Awesome Name">
									<?php if (!isset($edit_data["basic_val"]["ad_name"])) echo '<span class="glyphicon glyphicon-remove form-control-feedback"></span>'; ?>
									<!-- <span id="ad_name_error" style="color: #ff0000"></span> -->
									<em class="help-block"><?php _e('Name of the ad for easy reference', self::$text_domain)?></em>
								</div>
							</div>

							<!-- Ad Group -->

							<div class="form-group">
								<label for="ad_group" class="col-sm-3 control-label"><?php _e('Ad Group', self::$text_domain)?></label>
								<div class="col-sm-9">
									<select id="ad_group" name="ad_group">
										<?php
											require_once(WPSITE_WALLPAPER_TAKEOVER_PLUGIN_DIR . "/include/classes/Ad_Groups_DB_WPTO.php");
											$adGroupsMgn = new Ad_Groups_Mgn();
											if (isset($cond)) $tmp = $adGroupsMgn->get_datas($cond);
											else $tmp = $adGroupsMgn->get_datas();

											for ($i = 0; $i < count($tmp); $i++) {
												$tmp_str = "<option value='".$tmp[$i]["id"]."'";

												if (isset($edit_data["basic_val"]["ad_group"]) && $edit_data["basic_val"]["ad_group"] == $tmp[$i]["id"])
													$tmp_str .= " selected='selected'";

												$tmp_str .= ">".$tmp[$i]["name"]."</option>";

												echo $tmp_str;
											}
										?>
									</select>
									<em class="help-block"><?php _e('Categorize this Ad to an Ad Group', self::$text_domain)?></em>
								</div>
							</div>

							<!-- Background Image Type -->

							<div class="form-group">
								<label for="img_type" class="col-sm-3 control-label"><?php _e('Background Image Type', self::$text_domain)?></label>
								<div class="col-sm-9">
									<select id="img_type" name="img_type">
										<option value="media" <?php echo isset($edit_data["other_val"]['img_type']) && $edit_data["other_val"]['img_type'] == 'media' ? 'selected' : ''; ?>><?php _e('Media', self::$text_domain)?></option>
										<option value="url" <?php echo isset($edit_data["other_val"]['img_type']) && $edit_data["other_val"]['img_type'] == 'url' ? 'selected' : ''; ?>><?php _e('URL', self::$text_domain)?></option>
									</select>
								</div>
							</div>

							<!-- Background Image -->

							<?php

							if (!isset($edit_data["other_val"]["img_type"])) {
								$edit_data["other_val"]['img_type'] = 'media';
								$edit_data["other_val"]['img_id'] = isset($edit_data["other_val"]['img_url']) ? $edit_data["other_val"]['img_url'] : '';
								$edit_data["other_val"]['img_url'] = '';
							}

							?>

							<div class="form-group img_type_url <?php if (!isset($edit_data["other_val"]["img_url"]) || $edit_data["other_val"]["img_url"] == '') echo 'has-error has-feedback'; ?>">
								<label for="img_url" class="col-sm-3 control-label"><?php _e('Background Image', self::$text_domain)?></label>
								<div class="col-sm-9">
									<input id="img_url" name="img_url" type="text" class="form-control" value="<?php echo isset($edit_data["other_val"]["img_url"]) ? esc_attr($edit_data["other_val"]["img_url"]) : ''; ?>" placeholder="http://example.com/image.png"/>
									<?php if (!isset($edit_data["other_val"]["img_url"]) || $edit_data["other_val"]["img_url"] == '') echo '<span class="glyphicon glyphicon-remove form-control-feedback"></span>'; ?>
									<em class="help-block"><?php _e('Input a high-quality background image link as your background.', self::$text_domain)?></em>
								</div>
							</div>

							<div class="form-group img_type_id <?php if (!isset($edit_data["other_val"]["img_id"]) || $edit_data["other_val"]["img_id"] == '') echo 'has-error has-feedback'; ?>">
								<label for="img_id" class="col-sm-3 control-label"><?php _e('Background Image', self::$text_domain)?></label>
								<div class="col-sm-9">
									<?php
									$image_attributes = wp_get_attachment_image_src($edit_data["other_val"]["img_id"], 'medium'); // returns an array

									if( $image_attributes ) {

										$src = $image_attributes[0];
										$width = $image_attributes[1];
										$height = $image_attributes[2];

									} else {
										$src = '';
										$width = '';
										$height = '';
									}
									?>

									<div id="img_show" style="padding: 20px;height: 200px; min-width: 300px;<?php echo isset($src) && $src != '' ? 'background-image: url(' . $src . ');' : ''; ?> background-repeat: no-repeat; background-position: center center;background-size: contain;" class="form-control well">
										<?php if (!isset($edit_data["other_val"]["img_id"]) || $edit_data["other_val"]["img_id"] == '') echo '<span class="glyphicon glyphicon-remove form-control-feedback"></span>'; ?>
									</div>
									<em class="help-block"><?php _e('Select a high-quality background image as your background.', self::$text_domain)?></em>


									<input id="img_id_button" class="btn btn-primary" type="button" value="Set Image" />
									<input id="img_id" name="img_id" type="text" size="80" style="display:none;" value="<?php echo  esc_attr($edit_data["other_val"]["img_id"]); ?>" />
								</div>
							</div>

							<!-- Image Link Option -->

							<div class="form-group">
								<label for="link_option" class="col-sm-3 control-label"><?php _e('Link Option', self::$text_domain)?></label>
								<div class="col-sm-9">

									<div class="btn-group btn-group-justified" data-toggle="buttons">
										<label class="btn btn-default <?php echo isset($edit_data["other_val"]["link_option"]) && $edit_data["other_val"]["link_option"] == 0 ? 'active' : ''; ?>" for="link_option_0">
											<input type="radio" name="link_option" id="link_option_0" value="0" <?php echo isset($edit_data["other_val"]["link_option"]) && $edit_data["other_val"]["link_option"] == 0 ? 'checked="checked"' : ''; ?>/> <?php _e('One Link', self::$text_domain); ?>
										</label>

										<label class="btn btn-default <?php echo isset($edit_data["other_val"]["link_option"]) && $edit_data["other_val"]["link_option"] == 1 ? 'active' : ''; ?>" for="link_option_1">
											<input type="radio" name="link_option" id="link_option_1" value="1"  <?php echo isset($edit_data["other_val"]["link_option"]) && $edit_data["other_val"]["link_option"] == 1 ? 'checked="checked"' : ''; ?>/> <?php _e('Two Links', self::$text_domain); ?>
										</label>
									</div>
									<em class="help-block"><?php _e('Select whether the Background Ad should link to 1 URL or 2 distinct URLs (left and right sides)', self::$text_domain)?></em>

									<br/>
									<div class="well" style="height: 240px;">
										<div class="col-sm-2 img-rounded div-link-right">
											<p class="link_option_0_div" <?php echo isset($edit_data["other_val"]["link_option"]) && $edit_data["other_val"]["link_option"] != 1 ? '' : 'style="display:none"'; ?>><?php _e('Clickable Zone', self::$text_domain)?></p>
											<p class="link_option_1_div text-center"><?php _e('Clickable Zone Left', self::$text_domain)?></p>
										</div>
										<div class="col-sm-8 img-rounded div-link-content">
											<h1 class="text-center"><?php _e('Site Content', self::$text_domain)?></h1>
											<p><?php _e('Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.', self::$text_domain)?></p>
										</div>
										<div class="col-sm-2 img-rounded div-link-left">
											<p class="link_option_0_div" <?php echo isset($edit_data["other_val"]["link_option"]) && $edit_data["other_val"]["link_option"] != 1 ? '' : 'style="display:none"'; ?>><?php _e('Clickable Zone', self::$text_domain)?></p>
											<p class="link_option_1_div text-center"><?php _e('Clickable Zone Right', self::$text_domain)?></p>
										</div>
									</div>
									<em class="help-block"><?php _e('This is an example site with a fixed width.  Full width sites will not have the same setup.', self::$text_domain)?></em>

								</div>
							</div>

							<!-- URL Link To Destinition (both sides) Link URL -->

							<div class="form-group has-primary link_option_0_div <?php if (!isset($edit_data["other_val"]["link_url_left"]) || $edit_data["other_val"]["link_url_left"] == '') echo 'has-error has-feedback'; ?>" <?php echo isset($edit_data["other_val"]["link_option"]) && $edit_data["other_val"]["link_option"] != 1 ? '' : 'style="display:none"'; ?>>
								<label for="link_url_both" class="col-sm-3 control-label"><?php _e('Link URL', self::$text_domain)?></label>
								<div class="col-sm-9">
									<input type="text" class="form-control" value="<?php echo isset($edit_data["other_val"]["link_url_left"]) ? esc_url($edit_data["other_val"]["link_url_left"]) : ''; ?>" id="link_url_both" name="link_url_both" placeholder="http://www.wpsite.net">
									<?php if (!isset($edit_data["other_val"]["link_url_left"]) || $edit_data["other_val"]["link_url_left"] == '') echo '<span class="glyphicon glyphicon-remove form-control-feedback"></span>'; ?>
									<!-- <span id="link_url_both_error" style="color: #ff0000"></span> -->
								</div>
							</div>

							<!-- URL Link To Destinition (both sides) Link target -->

							<div class="form-group has-primary link_option_0_div" <?php echo isset($edit_data["other_val"]["link_option"]) && $edit_data["other_val"]["link_option"] != 1 ? '' : 'style="display:none"'; ?>>
								<label for="link_url_both" class="col-sm-3 control-label"><?php _e('Link target', self::$text_domain)?></label>
								<div class="col-sm-9">
									<select id="link_url_both_target" name="link_url_both_target">
										<option value="_blank" <?php selected($edit_data["other_val"]["link_url_left_target"], '_blank', true); ?>><?php _e('Open link in NEW tab or window', self::$text_domain); ?></option>
										<option value="_self" <?php selected($edit_data["other_val"]["link_url_left_target"], '_self', true); ?>><?php _e('Open link in SAME tab or window', self::$text_domain); ?></option>
										<!--
<option value="_parent" <?php selected($edit_data["other_val"]["link_url_left_target"], '_parent', true); ?>><?php _e('_parent', self::$text_domain); ?></option>
										<option value="_top" <?php selected($edit_data["other_val"]["link_url_left_target"], '_top', true); ?>><?php _e('_top', self::$text_domain); ?></option>
-->
									</select>
									<em class="help-block"><?php _e('This option sets the target attribute of the link.', self::$text_domain)?></em>
								</div>
							</div>

							<!-- URL Link To Destinition (both sides) Link rel -->

							<!--
<div class="form-group link_option_0_div" <?php echo isset($edit_data["other_val"]["link_option"]) && $edit_data["other_val"]["link_option"] != 1 ? '' : 'style="display:none"'; ?>>
								<label for="link_url_both" class="col-sm-3 control-label"><?php _e('Link no follow for both sides', self::$text_domain)?></label>
								<div class="col-sm-9">
									<div class="checkbox">
										<label>
											<input type="checkbox" id="link_url_both_rel" name="link_url_both_rel" <?php echo isset($edit_data["other_val"]["link_url_left_rel"]) && $edit_data["other_val"]["link_url_left_rel"] ? 'checked="checked"' : ''; ?>> <?php _e('Add a rel nofollow attr to the link?', self::$text_domain)?>
										</label>
									</div>
								</div>
							</div>
-->

							<!-- URL Link To Destinition (left-side) Link URL -->

							<div class="form-group has-success link_option_1_div <?php if (!isset($edit_data["other_val"]["link_url_left"]) || $edit_data["other_val"]["link_url_left"] == '') echo 'has-error has-feedback'; ?>" <?php echo isset($edit_data["other_val"]["link_option"]) && $edit_data["other_val"]["link_option"] == 1 ? '' : 'style="display:none"'; ?>>
								<label for="link_url_left" class="col-sm-3 control-label"><?php _e('Link URL for Left Side', self::$text_domain)?></label>
								<div class="col-sm-9">
									<input type="text" class="form-control" value="<?php echo isset($edit_data["other_val"]["link_url_left"]) ? esc_url($edit_data["other_val"]["link_url_left"]) : ''; ?>" id="link_url_left" name="link_url_left" placeholder="http://www.wpsite.net">
									<?php if (!isset($edit_data["other_val"]["link_url_left"]) || $edit_data["other_val"]["link_url_left"] == '') echo '<span class="glyphicon glyphicon-remove form-control-feedback"></span>'; ?>
									<!-- <span id="link_url_left_error" style="color: #ff0000"></span> -->
								</div>
							</div>

							<!-- URL Link To Destinition (left-side) Link Target -->

							<div class="form-group has-success link_option_1_div" <?php echo isset($edit_data["other_val"]["link_option"]) && $edit_data["other_val"]["link_option"] == 1 ? '' : 'style="display:none"'; ?>>
								<label for="link_url_left" class="col-sm-3 control-label"><?php _e('Link target for Left Side', self::$text_domain)?></label>
								<div class="col-sm-9">
									<select id="link_url_left_target" name="link_url_left_target">
										<option value="_blank" <?php selected($edit_data["other_val"]["link_url_left_target"], '_blank', true); ?>><?php _e('Open link in NEW tab or window', self::$text_domain); ?></option>
										<option value="_self" <?php selected($edit_data["other_val"]["link_url_left_target"], '_self', true); ?>><?php _e('Open link in SAME tab or window', self::$text_domain); ?></option>
										<!--
<option value="_parent" <?php selected($edit_data["other_val"]["link_url_left_target"], '_parent', true); ?>><?php _e('_parent', self::$text_domain); ?></option>
										<option value="_top" <?php selected($edit_data["other_val"]["link_url_left_target"], '_top', true); ?>><?php _e('_top', self::$text_domain); ?></option>
-->
									</select>
									<em class="help-block"><?php _e('This option sets the target attribute of the link.', self::$text_domain)?></em>
								</div>
							</div>

							<!-- URL Link To Destinition (left-side) Link rel -->

							<!--
<div class="form-group link_option_1_div" <?php echo isset($edit_data["other_val"]["link_option"]) && $edit_data["other_val"]["link_option"] == 1 ? '' : 'style="display:none"'; ?>>
								<label for="link_url_left" class="col-sm-3 control-label"><?php _e('Link URL for left side', self::$text_domain)?></label>
								<div class="col-sm-9">
									<div class="checkbox">
										<label>
											<input type="checkbox" id="link_url_left_rel" name="link_url_left_rel" <?php echo isset($edit_data["other_val"]["link_url_left_rel"]) && $edit_data["other_val"]["link_url_left_rel"] ? 'checked="checked"' : ''; ?>> <?php _e('Add a rel nofollow attr to the link?', self::$text_domain)?>
										</label>
									</div>
								</div>
							</div>
-->

							<!-- URL Link To Destinition (right-side) Link URL -->

							<div class="form-group has-warning link_option_1_div <?php if (!isset($edit_data["other_val"]["link_url_right"]) || $edit_data["other_val"]["link_url_right"] == '') echo 'has-error has-feedback'; ?>" <?php echo isset($edit_data["other_val"]["link_option"]) && $edit_data["other_val"]["link_option"] == 1 ? '' : 'style="display:none"'; ?>>
								<label for="link_url_left" class="col-sm-3 control-label"><?php _e('Link URL for Right Side', self::$text_domain)?></label>
								<div class="col-sm-9">
									<input type="text" class="form-control" value="<?php echo isset($edit_data["other_val"]["link_url_right"]) ? esc_url($edit_data["other_val"]["link_url_right"]) : ''; ?>" id="link_url_right" name="link_url_right" placeholder="http://www.wpsite.net">
									<?php if (!isset($edit_data["other_val"]["link_url_right"]) || $edit_data["other_val"]["link_url_right"] == '') echo '<span class="glyphicon glyphicon-remove form-control-feedback"></span>'; ?>
									<!-- <span id="link_url_left_error" style="color: #ff0000"></span> -->
								</div>
							</div>

							<!-- URL Link To Destinition (right-side) Link Target -->

							<div class="form-group has-warning link_option_1_div" <?php echo isset($edit_data["other_val"]["link_option"]) && $edit_data["other_val"]["link_option"] == 1 ? '' : 'style="display:none"'; ?>>
								<label for="link_url_left" class="col-sm-3 control-label"><?php _e('Link target for Right Side', self::$text_domain)?></label>
								<div class="col-sm-9">
									<select id="link_url_right_target" name="link_url_right_target">
										<option value="_blank" <?php selected($edit_data["other_val"]["link_url_right_target"], '_blank', true); ?>><?php _e('Open link in NEW tab or window', self::$text_domain); ?></option>
										<option value="_self" <?php selected($edit_data["other_val"]["link_url_right_target"], '_self', true); ?>><?php _e('Open link in SAME tab or window', self::$text_domain); ?></option>
										<!--
<option value="_parent" <?php selected($edit_data["other_val"]["link_url_left_target"], '_parent', true); ?>><?php _e('_parent', self::$text_domain); ?></option>
										<option value="_top" <?php selected($edit_data["other_val"]["link_url_left_target"], '_top', true); ?>><?php _e('_top', self::$text_domain); ?></option>
-->
									</select>
									<em class="help-block"><?php _e('This option sets the target attribute of the link.', self::$text_domain)?></em>
								</div>
							</div>

							<!-- URL Link To Destinition (right-side) Link rel -->

							<!--
<div class="form-group link_option_1_div" <?php echo isset($edit_data["other_val"]["link_option"]) && $edit_data["other_val"]["link_option"] == 1 ? '' : 'style="display:none"'; ?>>
								<label for="link_url_left" class="col-sm-3 control-label"><?php _e('Link URL for right side', self::$text_domain)?></label>
								<div class="col-sm-9">
									<div class="checkbox">
										<label>
											<input type="checkbox" id="link_url_right_rel" name="link_url_right_rel" <?php echo isset($edit_data["other_val"]["link_url_right_rel"]) && $edit_data["other_val"]["link_url_right_rel"] ? 'checked="checked"' : ''; ?>> <?php _e('Add a rel nofollow attr to the link?', self::$text_domain)?>
										</label>
									</div>
								</div>
							</div>
-->

						</div>
					</div>

					<!-- Style Options -->

					<div class="panel panel-default">
						<div class="panel-heading">
							<h1 class="panel-title"><?php _e('Style Options', self::$text_domain)?></h1>
						</div>
						<div class="panel-body">

							<!-- Background Repeat -->

							<div class="form-group">
								<label for="bg_repeat" class="col-sm-3 control-label"><?php _e('Background Repeat', self::$text_domain)?></label>
								<div class="col-sm-9">
									<select id="bg_repeat" name="bg_repeat">
										<option value="no-repeat" <?php selected($edit_data["other_val"]["bg_repeat"], "no-repeat", true); ?>><?php _e('None', self::$text_domain)?></option>
										<option value="repeat" <?php selected($edit_data["other_val"]["bg_repeat"], "repeat", true); ?>><?php _e('Both (Horizontal and Vertical)', self::$text_domain)?></option>
										<option value="repeat-x" <?php selected($edit_data["other_val"]["bg_repeat"], "repeat-x", true); ?>><?php _e('Horizontal (repeat-x)', self::$text_domain)?></option>
										<option value="repeat-y" <?php selected($edit_data["other_val"]["bg_repeat"], "repeat-y", true); ?>><?php _e('Vertical (repeat-y)', self::$text_domain)?></option>
									</select>
									<em class="help-block"><?php _e('Select the background repeat preference.', self::$text_domain)?></em>
								</div>
							</div>

							<!-- Background Attachment -->

							<div class="form-group">
								<label for="bg_attach" class="col-sm-3 control-label"><?php _e('Background Attachment', self::$text_domain)?></label>
								<div class="col-sm-9">
									<select id="bg_attach" name="bg_attach">
										<option value="fixed" <?php selected($edit_data["other_val"]["bg_attach"], "fixed", true); ?>><?php _e('fixed', self::$text_domain)?></option>
										<option value="scroll" <?php selected($edit_data["other_val"]["bg_attach"], "scroll", true); ?>><?php _e('scroll', self::$text_domain)?></option>
									</select>
									<em class="help-block"><?php _e('Select whether the background image should scroll with the page or remain fixed', self::$text_domain)?></em>
								</div>
							</div>

							<!-- Background Stretch -->

							<div class="form-group">
								<label for="bg_strech" class="col-sm-3 control-label"><?php _e('Background Stretch', self::$text_domain)?></label>
								<div class="col-sm-9">
									<select id="bg_strech" name="bg_strech">
										<option value="no" <?php selected($edit_data["other_val"]["bg_strech"], "no", true); ?>><?php _e('No', self::$text_domain)?></option>
										<option value="yes" <?php selected($edit_data["other_val"]["bg_strech"], "yes", true); ?>><?php _e('Yes', self::$text_domain)?></option>
									</select>
									<em class="help-block"><?php _e('Should the background image stretch to fit the full width of the page?', self::$text_domain)?></em>
								</div>
							</div>

							<!-- Background Color -->

							<div class="form-group">
								<label for="bg_color" class="col-sm-3 control-label"><?php _e('Background Color', self::$text_domain)?></label>
								<div class="col-sm-9">
									<input type="text" id="bg_color" name="bg_color" value="<?php echo (($edit_data["other_val"]["bg_color"]=="") ? "#e6e6e6" : $edit_data["other_val"]["bg_color"]); ?>" />
									<em class="help-block"><?php _e('Select the color of the background behind the background image', self::$text_domain)?></em>
								</div>
							</div>

						</div>
					</div>

				</div>

				<div role="tabpanel" class="tab-pane" id="<?php echo self::$prefix;?>display">

					<!-- Schedule Settings -->

					<div class="panel panel-default">
						<div class="panel-heading">
							<h1 class="panel-title"><?php _e('Schedule Settings', self::$text_domain)?></h1>
						</div>
						<div class="panel-body">

							<p><?php _e('NOTE: If no schedule is defined, Ad will run as long as it is active.', self::$text_domain)?></p>

							<!-- Start date and End Date -->

							<?php

							// Format dates

							$start_date = isset($edit_data["basic_val"]["start_date"]) && $edit_data["basic_val"]["start_date"] != '' ?
											date('m/d/Y h:i A', strtotime($edit_data["basic_val"]["start_date"])) :
											date('m/d/Y h:i A', strtotime(current_time('mysql')));

							$end_date = isset($edit_data["basic_val"]["end_date"]) && $edit_data["basic_val"]["end_date"] != '' ?
											date('m/d/Y h:i A', strtotime($edit_data["basic_val"]["end_date"])) :
											date("m/d/Y h:i A", mktime(0, 0, 0, date("m"), date("d"), date("Y")+20));

							?>

							<div class="form-group">
								<label for="start_date" class="col-sm-3 control-label"><?php _e('Start date', self::$text_domain)?></label>
								<div class="col-sm-4 input-group date" id='st_datetimepicker' style="padding-right: 15px;padding-left: 15px;">
									<input id="start_date" name="start_date" type='text' class="form-control" value="<?php echo $start_date; ?>"/>
									<span class="input-group-addon"><span class="glyphicon glyphicon-calendar"></span>
									</span>
								</div>
							</div>

							<!-- End date -->

							<div class="form-group">
								<label for="end_date" class="col-sm-3 control-label"><?php _e('End date', self::$text_domain)?></label>
								<div class="col-sm-4 input-group date" id='en_datetimepicker' style="padding-right: 15px;padding-left: 15px;">
									<input id="end_date" name="end_date" type='text' class="form-control" value="<?php echo $end_date; ?>"/>
									<span class="input-group-addon"><span class="glyphicon glyphicon-calendar"></span>
									</span>
								</div>
							</div>
						</div>
					</div>

					<!-- Location Settings -->

					<div class="panel panel-default">
						<div class="panel-heading">
							<h1 class="panel-title"><?php _e('Location Settings', self::$text_domain)?></h1>
						</div>
						<div class="panel-body">

							<!-- Priority -->

							<div class="form-group">
								<label for="priority" class="col-sm-3 control-label"><?php _e('Ad Priority', self::$text_domain)?></label>
								<div class="col-sm-9">
									<select id="priority" name="priority">
										<option value="1" <?php selected($edit_data["basic_val"]["priority"], 1, true); ?>><?php _e('High', self::$text_domain)?></option>
										<option value="2" <?php selected($edit_data["basic_val"]["priority"], 2, true); ?>><?php _e('Medium', self::$text_domain)?></option>
										<option value="3" <?php selected($edit_data["basic_val"]["priority"], 3, true); ?>><?php _e('Low', self::$text_domain)?></option>
									</select>
									<em class="help-block"><?php _e('If two ads are scheduled to show on a page, this option is used to determine which takes priority. (i.e., eliminates conflicts)', self::$text_domain)?></em>
								</div>
							</div>

							<!-- Where to Display Ad? -->

							<div class="form-group">
								<label class="col-sm-3 control-label"><?php _e('Where to Display Ad?', self::$text_domain)?></label>
								<div class="col-sm-9">
									<ul>
										<li class="radio">
											<?php
											$idx = 0;
											if(!$edit_data["basic_val"]["is_front_page"]) ++$idx;
											if(!$edit_data["basic_val"]["is_category"]) ++$idx;
											if(!$edit_data["basic_val"]["is_tag"]) ++$idx;
											if(!$edit_data["basic_val"]["is_archive"]) ++$idx;
											if(!$edit_data["basic_val"]["is_single"]) ++$idx;
											if(!$edit_data["basic_val"]["is_page"]) ++$idx;
											if(!$edit_data["basic_val"]["post_id"]) ++$idx;
											if(!$edit_data["basic_val"]["category_id"]) ++$idx;
											if(!$edit_data["basic_val"]["page_id"]) ++$idx;

											$check_post_types = false;

											if (isset($edit_data['args'])) {

												if (!is_array($edit_data['args']))
													$edit_data['args'] = unserialize($edit_data['args']);

												foreach ($edit_data['args']['post_types'] as $val) {
													if ($val) {
														$check_post_types = true;
														break;
													}
												}
											}
											?>
											<label for="display_ad_entire">
												<input type="radio" value="0" class="post-format" name="entire_specific_fg" id="display_ad_entire" <?php echo (($idx == 9 && !$check_post_types) ? 'checked="checked"':'');?>> <?php _e('Show this ad across entire site', self::$text_domain)?>
											</label>
										</li>
										<li class="radio">

											<label for="display_ad_specific">
												<input type="radio" value="1" class="post-format" name="entire_specific_fg" id="display_ad_specific" <?php echo (($idx != 9 || $check_post_types) ? 'checked="checked"':'');?>> <?php _e('Show this ad only on the following page(s):', self::$text_domain)?>
											</label>

											<div id="display_ad_specific_div" style="display:<?php echo (($idx != 9 || $check_post_types) ? 'display' : 'none'); ?>">
												<ul style="margin:5px 0 0 30px;">

													<!-- Home -->

													<li class="checkbox">
														<label for="is_front_page">
															<input type="checkbox" value="1" name="is_front_page" id="is_front_page" <?php echo (($edit_data["basic_val"]["is_front_page"])?'checked="checked"':'');?>>
													        <span><?php _e('Front page (is_front_page)', self::$text_domain); ?></span>
														</label>
													</li>

													<!-- Tag -->

													<li class="checkbox">
														<label for="is_tag">
															<input type="checkbox" value="1" name="is_tag" id="is_tag" <?php echo (($edit_data["basic_val"]["is_tag"])?'checked="checked"':'');?>>
															<span><?php _e('Tag archives (is_tag)', self::$text_domain); ?></span>
														</label>
													</li>

													<!-- Archive -->

													<li class="checkbox">
														<label for="is_archive">
															<input type="checkbox" value="1" name="is_archive" id="is_archive" <?php echo (($edit_data["basic_val"]["is_archive"])?'checked="checked"':'');?>>
															<span><?php _e('Archive pages (is_archive)', self::$text_domain); ?></span>
														</label>
													</li>

													<!-- Categories -->

													<li class="checkbox">
														<label for="is_category">
															<input type="checkbox" value="1" name="is_category" id="is_category" <?php echo (($edit_data["basic_val"]["is_category"])?'checked="checked"':'');?>>
															<span><?php _e('Category archives (is_category)', self::$text_domain); ?></span>
														</label>
													</li>

													<!-- Post -->

													<li class="checkbox">
														<label for="is_single">
															<input type="checkbox" value="1" name="is_single" id="is_single" <?php echo (($edit_data["basic_val"]["is_single"])?'checked="checked"':'');?>>
															<span><?php _e('Posts / Articles (is_single)', self::$text_domain); ?></span>
														</label>
													</li>

													<!-- Page -->

													<li class="checkbox">
														<label for="is_page">
															<input type="checkbox" value="1" name="is_page" id="is_page" <?php echo (($edit_data["basic_val"]["is_page"])?'checked="checked"':'');?>>
															<span><?php _e('Pages (is_page)', self::$text_domain); ?></span>
														</label>
													</li>

													<!-- Custom Post -->

													<?php
													$post_types = get_post_types(array('public' => true, '_builtin' => false));

													foreach ($post_types as $post_type) { ?>
														<li class="checkbox">
															<label for="post_type_<?php echo $post_type; ?>">
																<input type="checkbox" class="post_type" id="post_type_<?php echo $post_type; ?>" name="post_type_<?php echo $post_type; ?>" <?php echo (isset($edit_data['args']['post_types'][$post_type]) && $edit_data['args']['post_types'][$post_type] ? 'checked="checked"' : '');?>/>
														        <span><?php _e('all ' . $post_type . ' posts.', self::$text_domain)?></span>
													        </label>
															<br/>
														</li>
													<?php } ?>

													<!-- Category by ID -->

													<li>
														<div class="checkbox">
															<label for="is_category_id">
																<input type="checkbox" value="1" name="is_category_id" id="is_category_id" <?php echo (($edit_data["basic_val"]["category_id"])?'checked="checked"':'');?>>
																<span><?php _e('Specific category ID', self::$text_domain); ?></span>
															</label>
														</div>

														<div id="category_id_div" style="display: <?php echo (($edit_data["basic_val"]["category_id"]) ? 'display' : 'none');?>">
															<br/>
															<input class="form-control" type="text" value="<?php echo ($edit_data["basic_val"]["category_id"])? esc_attr($edit_data["basic_val"]["category_id"]) : ""; ?>" name="category_id" id="category_id" placeholder="e.g 216 or 216,8910,67" />
															<em class="help-block"><?php _e('Get ID', self::$text_domain)?> <a href="http://www.wpsite.net/find-post-id-page-id-category-id/" target="_blank"><?php _e('here', self::$text_domain)?></a></em>
														</div>
													</li>

													<!-- Post by ID -->

													<li>
														<div class="checkbox">
															<label for="is_post_id">
																<input type="checkbox" value="1" name="is_post_id" id="is_post_id" <?php echo (($edit_data["basic_val"]["post_id"]>0)?'checked="checked"':'');?>>
																<span><?php _e('Specific post ID', self::$text_domain); ?></span>
															</label>
														</div>

														<div id="post_id_div" style="display:<?php echo (($edit_data["basic_val"]["post_id"])?'display':'none');?>">
															<br/>
															<input class="form-control" type="text" value="<?php echo ($edit_data["basic_val"]["post_id"]) ? esc_attr($edit_data["basic_val"]["post_id"]) : ""; ?>" name="post_id" id="post_id" placeholder="e.g 216 or 216,8910,67"/>
															<em class="help-block"><?php _e('Get ID', self::$text_domain)?> <a href="http://www.wpsite.net/find-post-id-page-id-category-id/" target="_blank"><?php _e('here', self::$text_domain)?></a></em>
														</div>
													</li>

													<!-- Page by ID -->

													<li>
														<div class="checkbox">
															<label for="is_page_id">
																<input type="checkbox" value="1" name="is_page_id" id="is_page_id" <?php echo (($edit_data["basic_val"]["page_id"])?'checked="checked"':'');?>>
																<span><?php _e('Specific page ID', self::$text_domain); ?></span>
															</label>
														</div>

														<div id="page_id_div" style="display:<?php echo (($edit_data["basic_val"]["page_id"])?'display':'none');?>">
															<br/>
															<input class="form-control" type="text" value="<?php echo ($edit_data["basic_val"]["page_id"]) ? esc_attr($edit_data["basic_val"]["page_id"]) : ""; ?>" name="page_id" id="page_id" placeholder="e.g 216 or 216,8910,67"/>
															<em class="help-block"><?php _e('Get ID', self::$text_domain)?> <a href="http://www.wpsite.net/find-post-id-page-id-category-id/" target="_blank"><?php _e('here', self::$text_domain)?></a></em>
														</div>
													</li>

												</ul>
											</div>
										</li>
									</ul>

									<em class="help-block"><?php _e('Select which pages the Ad should display. Multiple selections are allowed.', self::$text_domain)?></em>

								</div>
							</div>
						</div>
					</div>

				</div>

			</div><!-- tab-content -->

		</form> <!-- form -->

	</div>

	<?php require_once('footer.php'); ?>

</div>